Skip to main content
`Ctrl`+`K`

# DMPlexSNESComputeObjectiveFEM

Sums the local objectives from the local input X using pointwise functions specified by the user

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSNESComputeObjectiveFEM(DM dm, Vec X, PetscReal *obj, PetscCtx ctx)

## Input Parameters

- dm - The mesh

- X - Local solution

- ctx - The application context

## Output Parameter

- obj - Local objective value

## See Also

`DM`, `DMPlexSNESComputeResidualFEM()`

## Level

developer

## Location

src/snes/utils/dmplexsnes.c

## Examples

src/ts/tutorials/ex30.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages